/*
 * resizebug.cxx
 *
 * simple mouse clicks in window, result in resize callbacks.
 * why???
 * build with: g++ resizebug.cxx `fltk-config --ldflags`
 */

#include <assert.h>
#include <stdio.h>

#include <GL/glu.h>
#include <GL/glut.h>

#include <FL/Fl.H>
#include <FL/Fl_Window.H>


class MainWindow : public Fl_Window
{
  protected:
    virtual void resize(int X, int Y, int W, int H)
    {
      fprintf(stderr,"MainWindow Resized to %d %d\n", W, H);
    }
  public:
    MainWindow(int X, int Y, int W, int H, const char *L=0) : Fl_Window(X,Y,W,H,L)
    {
    }
};


int main(int argc, char *argv[]) 
{
  MainWindow mainwin(0,0, 352, 288);
  mainwin.size_range(176, 144, 1280,1024, 16,16);

  mainwin.show();
  Fl::run();
}

